package com.cpp.web.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Digits;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 预测功率基类
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BaseForecastEntity extends BaseCppEntity {


    /**
     * 预测时间
     */
    @ApiModelProperty(value = "预测值时间")
    private Date time;


    /**
     * 预测数据
     */
    @ApiModelProperty(value = "预测数据")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal fpValue = new BigDecimal(-99);


    /**
     * 提前多久预测
     */
    @ApiModelProperty(value = "提前多久预测")
    private Integer forecastHowLongAgo;


    /**
     * 开机容量
     */
    @ApiModelProperty(value = "开机容量")
    private BigDecimal openCapacity = new BigDecimal(-99);


    /**
     * 装机容量
     */
    @ApiModelProperty(value = "装机容量")
    @Digits(integer = 10, fraction = 2)
    private BigDecimal capacity = new BigDecimal(-99);

}
