package com.cpp.web.domain.alarm;

import com.baomidou.mybatisplus.annotation.TableName;
import com.cpp.web.domain.BaseCppEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;


/**
 * 告警配置
 *
 * @author tl
 * @date 2024-10-16 14:53
 */
@Data
@TableName("cpp_alarm_conf")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_alarm_conf")
public class AlarmConf extends BaseCppEntity {

    /**
     * 关键词
     */
    private String keyword;


    /**
     * 0包含，1等于
     */
    private Integer type;


    /**
     * 失效时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date expireTime;
}
