package com.cpp.web.domain.datafactory.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

@Getter
@AllArgsConstructor
public enum FileTypeEnum {
    dq(1, "短期"),
    cdq(2, "超短期"),
    rp(3, "实发功率"),
    nwp(4, "NWP"),
    status(5, "运行信息"),
    qxz(6, "气象站"),
    cft(7, "测风塔"),
    nbq(8, "逆变器"),
    fj(9, "风机"),
    rdq(10, "调控后短期"),
    rcdq(11, "调控后超短期");

    private Integer code;
    private String message;

    // 风电上报类型
    public List<FileTypeEnum> getWindFileType(){
        List<FileTypeEnum> fileTypeEnumList = new ArrayList<>();
        fileTypeEnumList.add(FileTypeEnum.dq);
        fileTypeEnumList.add(FileTypeEnum.cdq);
        fileTypeEnumList.add(FileTypeEnum.rp);
        fileTypeEnumList.add(FileTypeEnum.nwp);
        fileTypeEnumList.add(FileTypeEnum.status);
        fileTypeEnumList.add(FileTypeEnum.cft);
        fileTypeEnumList.add(FileTypeEnum.fj);
        fileTypeEnumList.add(FileTypeEnum.rdq);
        fileTypeEnumList.add(FileTypeEnum.rcdq);
        return fileTypeEnumList;
    }

    // 光伏上报文件
    public List<FileTypeEnum> getPhotovoltaicFileType(){
        List<FileTypeEnum> fileTypeEnumList = new ArrayList<>();
        fileTypeEnumList.add(FileTypeEnum.dq);
        fileTypeEnumList.add(FileTypeEnum.cdq);
        fileTypeEnumList.add(FileTypeEnum.rp);
        fileTypeEnumList.add(FileTypeEnum.nwp);
        fileTypeEnumList.add(FileTypeEnum.status);
        fileTypeEnumList.add(FileTypeEnum.qxz);
        fileTypeEnumList.add(FileTypeEnum.nbq);
        fileTypeEnumList.add(FileTypeEnum.rdq);
        fileTypeEnumList.add(FileTypeEnum.rcdq);
        return fileTypeEnumList;
    }
}