package com.cpp.web.domain.overhaulplan;

import com.baomidou.mybatisplus.annotation.TableName;
import com.cpp.web.domain.BaseCppEntity;
import com.cpp.web.domain.datafactory.enums.FileTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Digits;
import java.math.BigDecimal;
import java.util.Date;

/**
 * cpp_overhaul_plan_records
 *
 * @author fxy
 * @date 2024-10-10 9:47:33
 */
@Data
@TableName("cpp_overhaul_plan_records")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_overhaul_plan_records")
public class OverhaulPlanRecords extends BaseCppEntity {
    /**
     * 检修计划id
     */
    @ApiModelProperty(value = "检修计划id")
    private Long opId;

    /**
     * 预测模型
     */
    @ApiModelProperty(value = "预测模型")
    private String forecastModel;


    /**
     * 类型
     */
    @ApiModelProperty(value = "预测类型")
    private FileTypeEnum forecastType;


    /**
     * 详情 文件名 + 检修的时间
     */
    @ApiModelProperty(value = "详情")
    private String details;

}
