package com.cpp.web.service.datafactory;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cpp.web.domain.datafactory.ParsingLog;
import com.cpp.web.domain.datafactory.enums.FileTypeEnum;
import com.cpp.web.domain.enums.DataSourcesEnum;
import com.cpp.web.domain.station.ElectricField;

import java.util.Date;
import java.util.List;

/**
 * 解析记录业务层接口
 *
 * @author tl
 * @date 2022-05-16 11:15:21
 */
public interface ParsingLogService extends IService<ParsingLog> {

    QueryWrapper<ParsingLog> getByStationCodeAndCreateTimeAndFileStatusAndFileType(String stationCode, Date startTime, Date endTime, String fileStatus, String fileType);

    QueryWrapper<ParsingLog> getByStationCodeAndCreateTimeAndFileType(String stationCode, Date startTime, Date endTime,String fileType,String dataSources,String parsingDescribe,String parsingFileStatus);

    List<ParsingLog> findByTimeBetweenAndFileTypeAndStationCode(Date startTime,Date endTime,String fileType,String stationCode);


    List<ElectricField> notTodayLogStation(FileTypeEnum fileTypeEnum, DataSourcesEnum dataSourcesEnum);
}
